Subject: Mac client not accepting input after disconnect
From: Dörflinger Dirk <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 3 Jul 2013 09:31:07 +0000

Package: x2goclient<http://bugs.x2go.org/cgi-bin/pkgreport.cgi?package=x2goclient>
Version: 4.0.1.0

Hello,

I am evaluating x2go for our environmenta at the moment.

I can connect to different servers, work with it, but as soon as I disconnect a session, the client won't access any key inputs. I can still click with the mouse and get reactions like opening the settings dialog, I can even enter text in the settings dialog, but I cannot log in anymore as I cannot enter a password (or change my username).

This happens on different Macs, all using the latest Version of OS X 10.8 (one tested with 10.8.3).

My environment:

Client:
V 4.0.1.0 (Qt – 4.8.4)
OS X 10.8.4

Server:
RedHat Enterprise Server 6.4
Linux 2.6.32-358.6.2.el6.x86_64 #1 SMP Tue May 14 15:48:21 EDT 2013 x86_64 x86_64 x86_64 GNU/Linux

x2goserver-4.0.1.1-1.1.x86_64
x2goagent-3.5.0.20-3.1.x86_64

There are no entries in the client's logs about this.

Cheers,
Dirk

--
Department of Biosystems
ETH Zürich / Swiss Federal Institute of Technology

Dirk Doerflinger
IT System Architect
Mattenstrasse 26
4058 Basel, Switzerland

phone:+41 61 387 33 08

email:[email-masked]<mailto:[email-masked]>
web: http://www.bsse.ethz.ch/